### Method

# Ggit RebaseOperation get_id

#### Declaration [src]

    GgitOId*
    ggit_rebase_operation_get_id (
      GgitRebaseOperation* rebase_operation
    )

#### Description [src]

Gets the commit ID being cherry-picked. This will be populated for all operations except those of type `GGIT_REBASE_OPERATION_EXEC`.

#### Return value

Type: `GgitOId`

The commit ID being cherry-picked or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.